# Bridge

A crosschain bridge is an asset exchange between networks. For example, you have **USDT** on the **Ethereum** network, and you want them to be on the **Tron** network.

To conduct an asset exchange between networks, you need to make sure that this service is available in the networks you have chosen. To do this, request [list of available coins](#e4658fd5-5daf-4689-b845-663f8ed93470), find the coin you need, it will have a list of `networks` networks, make sure that the flag `allowCrosschainBridge` for the networks you need is set to `true`

Find out the [allowable limit](#221a78cc-5f4d-445f-b57c-ca66d32fbbda) for the transaction amount. Please note that the limit amounts are indicated in **USD**, the rates of such stablecoins as **USDT**, **BUSD** etc do not differ significantly from the rate of **USD**, and if you want to exchange another coin, then you will need to get the exchange rate to **USD** to make sure that your amount meets the specified limits.

Request [fee preview](#f67f6d22-45af-40c8-8590-537b521213be) to get a `token`, it will need to be specified when [requesting transaction creation](#9676abb2-8dba-4707-85de-547d03ed16df) as `feeToken`.

The operation is not executed immediately after the request, you must wait 1-3 minutes. You can [find out the operation execution status](#3a3f4de2-f83d-491f-9294-c9d72705c65e) yourself, or you can specify the URL to receive the [webhook](#webhooks) in the `webhookUrl` field when creating.

Available statuses

| **Статус** | **Описание**           |
| ---------- | ---------------------- |
| CREATED    | Request registered     |
| PENDING    | Being processed        |
| ERROR      | Error during execution |
| REJECTED   | Request denied         |
| PROCESSED  | Success                |

## API Interaction Scheme

{% @mermaid/diagram content="sequenceDiagram
Merchant ->> Onchainpay: Request fee token
Onchainpay ->> Merchant: Fee token
Merchant ->> Onchainpay: Creating operation
Onchainpay ->> Merchant: Operation body

```
Note over Onchainpay: Processing operation

Onchainpay -->> Merchant: Operation result webhook" %}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/08crosschain_bridge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
